Groovy Documentation

## groovy.util
[Groovy] Class GroovyShellTestCase

    java.lang.Object
      junit.framework.TestCase
          groovy.util.GroovyTestCase
              groovy.util.GroovyShellTestCase

    class GroovyShellTestCase
    extends GroovyTestCase

Groovy test case, which recreates internal GroovyShell in each setUp ()

Authors:
  Alex Tkachman

Field Summary
`protected GroovyShell` | `shell`

Fields inherited from class GroovyTestCase
TEST_SCRIPT_NAME_PREFIX, log

Method Summary
`protected GroovyShell` | `createNewShell()` Create new shell instance.
`protected void` | `setUp()`
`protected void` | `tearDown()`
`protected java.lang.Object` | `withBinding(java.util.Map map, Closure closure)` Executes closure with given binding
`protected java.lang.Object` | `withBinding(java.util.Map map, java.lang.String script)` Evaluates script with given binding

Methods inherited from class GroovyTestCase
assertArrayEquals, assertContains, assertContains, assertEquals, assertEquals, assertEquals, assertInspect, assertLength, assertLength, assertLength, assertScript, assertToString, fixEOLs, getMethodName, getName, getTestClassName, notYetImplemented, notYetImplemented, shouldFail, shouldFail, shouldFailWithCause

Field Detail

### shell

    @Delegate
    protected GroovyShell shell

Method Detail

### createNewShell

    protected GroovyShell createNewShell()

  Create new shell instance. Overwrite it to customize

### setUp

    protected void setUp()

### tearDown

    protected void tearDown()

### withBinding

    protected java.lang.Object withBinding(java.util.Map map, Closure closure)

  Executes closure with given binding

### withBinding

    protected java.lang.Object withBinding(java.util.Map map, java.lang.String script)

  Evaluates script with given binding

Groovy Documentation